Subject: Re: [PATCH 03/19] t5800: document some non-functional parts of remote helpers

From: Jonathan Nieder <[email-masked]>
Date: Wed, 8 Jun 2011 14:36:31 -0500

Jonathan Nieder wrote:
> Sverre Rabbelier wrote:

>> The problem is that we push all of the work of generating
>> the export stream onto fast-export,
>
> Here "we" means remote-testgit, not transport-helper, right?

Gah!  Clearly I am not thinking straight and it means the
transport-helper.

> It's not just name mapping, no?  E.g., I could try
>
> 	git push testgit::/path/to/repo $(git rev-parse HEAD):new
>
> So I think the current implementation of "export" by testgit
> is just wrong. ;-)

So this refers to transport-helper, too, and...

[...]
> This seems like a reasonable solution.  One way would be to teach
> fast-export about refspecs

... the level of permissible hackishness goes down :), making teaching
fast-export about refspecs the only obviously reasonable fix at first
glance.

[...]
> Anyway, I don't think this should be in the commit message for the new
> test which doesn't even know about the remote helper protocol. :)

Sorry for the nonsense.  At least this last part still applies.